name: sebn_inventory_app
description: SEBN inventory application for internal use

# The following line prevents the package from being accidentally published to
# pub.dev using `pub publish`. This is preferred for private packages.
publish_to: "none" # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
version: 0.9.0+1

environment:
  sdk: ">=2.12.3 <3.0.0"

dependencies:

  ai_barcode: ^3.0.0
  another_flushbar: ^1.10.17
  auto_route: ^1.0.2
  connectivity_plus: ^1.0.0
  dartz: 0.10.0-nullsafety.1
  dio: ^4.0.0
  flutter:
    sdk: flutter
  flutter_bloc: ^7.0.0
  flutter_dotenv: ^4.0.0-nullsafety.0
  flutter_launcher_icons: ^0.9.0
  flutter_localizations:
    sdk: flutter
  flutter_secure_storage: ^4.2.0
  fluttericon: ^2.0.0
  freezed_annotation: ^0.14.1
  get_it: ^6.0.0
  http: ^0.13.0
  intl: ^0.17.0
  json_serializable: ^4.1.1
  moor: ^4.2.1
  open_file: ^3.2.1
  package_info_plus: ^1.0.1
  path: ^1.8.0
  path_provider: ^2.0.1
  android_path_provider: ^0.2.1
  permission_handler: ^7.1.0
  provider: ^5.0.0
  sqflite: ^2.0.0+3
  sqlcipher_flutter_libs:
    git:
      url: https://github.com/simolus3/sqlite3.dart.git
      path: sqlcipher_flutter_libs
  qr_mobile_vision: ^3.0.0
  version: ^2.0.0

dev_dependencies:
  
  auto_route_generator: null
  build_runner: null
  change_app_package_name: ^1.0.0
  flutter_test:
    sdk: flutter
  freezed: ^0.14.0
  lint: ^1.5.3
  moor_generator: ^4.2.2

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec
# The following section is specific to Flutter.
flutter:
  assets:
    - .env
    - assets/images/sebn.png
    - assets/images/en_GB.png
    - assets/images/uk_UA.png
    - assets/images/ja_JP.png

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true
  # To add assets to your application, add an assets section, like this:
  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware.
  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages
  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Noto Emoji
  #     fonts:
  #       - asset: assets/fonts/NotoEmoji-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages
flutter_intl:
  enabled: true
